=== debian/changelog ===
console-bridge (0.2.5-2) unstable; urgency=low

  * Remove symbols support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 15 Jan 2014 01:34:19 +0100

console-bridge (0.2.5-1) unstable; urgency=low

  * Import new upstream version 0.2.5 (Closes: #714760).

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 4 Dec 2013 00:45:15 +0100
