=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
            Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: extra
-Build-Depends: debhelper (>= 9), cmake,
-	       libboost-thread-dev,
-	       libboost-system-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-exec (>=0.3),
+               cmake
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/console-bridge.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/console-bridge.git
 Homepage: https://github.com/ros/console_bridge
 XS-Testsuite: autopkgtest
 
-Package: libconsole-bridge0.2
+Package: libconsole-bridge0.2v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,9 +28,7 @@
 Package: libconsole-bridge-dev
 Architecture: any
 Section: libdevel
-Depends: libboost-thread-dev,
-	 libboost-system-dev,
-	 libconsole-bridge0.2 (= ${binary:Version}),
+Depends: libconsole-bridge0.2v5 (= ${binary:Version}),
 	 pkg-config, ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - development files
@@ -41,10 +39,10 @@
  This package contains the development files (headers, pkg-config and
  CMake files).
 
-Package: libconsole-bridge0.2-dbg
+Package: libconsole-bridge0.2v5-dbg
 Architecture: any
 Section: debug
-Depends: libconsole-bridge0.2 (= ${binary:Version}),
+Depends: libconsole-bridge0.2v5 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - debugging symbols
