## console-bridge 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,3 +88,6 @@
 SET_DIRECTORY_PROPERTIES(PROPERTIES
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge-config.cmake
   ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/console_bridge.pc)
+
+enable_testing()
+add_subdirectory(test)
