=== debian/changelog ===
console-bridge (0.3.2-1) unstable; urgency=medium

  * Imported Upstream version 0.3.2
    (Closes: #812297)
  * Declare Replaces+Break on libconsole-bridge0.2
    (Closes: #813177)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 04 Feb 2016 01:17:30 +0000
