=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-exec (>=0.3),
-               cmake
+               cmake,
+               libgtest-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/console-bridge.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/console-bridge.git
@@ -18,6 +19,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Replaces: libconsole-bridge0.2
+Breaks: libconsole-bridge0.2
 Description: console bridge - library
  ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
  package) that provides logging calls that mirror those found in
