=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_auto_clean --
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libconsole-bridge0.2-dbg
+	dh_strip -a --dbg-package=libconsole-bridge0.2v5-dbg
