=== debian/tests/control ===
Tests: build
Depends: libconsole-bridge-dev, build-essential
