=== test/CMakeLists.txt ===
--- 
+++ 
@@ -21,11 +21,6 @@
 set(tests
      console_TEST.cc)
 
-if (NOT MSVC)
-  set_source_files_properties(console_TEST.cc PROPERTIES COMPILE_FLAGS
-                                 -Wno-deprecated-declarations)
-endif()
-
 #################################################
 # Build all the tests
 foreach(GTEST_SOURCE_file ${tests})
@@ -41,12 +36,13 @@
      gtest_main
      gtest
      console_bridge)
-  if (UNIX)
+  if (UNIX AND NOT ANDROID)
     target_link_libraries(${BINARY_NAME} pthread)
   endif()
 
-   add_test(${BINARY_NAME} ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_NAME}
-       --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
+   add_test(NAME    ${BINARY_NAME}
+            COMMAND ${BINARY_NAME}
+                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
    set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
 endforeach()
