=== debian/changelog ===
console-bridge (0.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Feb 2018 12:15:10 +0000

console-bridge (0.4.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Added support for repacking source and remove local gtest
  * New upstream version 0.4.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Feb 2018 06:41:18 +0000
