=== debian/watch ===
version=3

opts=dversionmangle=s/$/+dfsg/,filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1+dfsg.tar.gz/ \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz
