## console-bridge 0.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
 set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 0)
+set (CONSOLE_BRIDGE_PATCH_VERSION 2)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
@@ -13,6 +13,10 @@
 
 if (NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
+endif()
+
+if(POLICY CMP0042)
+  cmake_policy(SET CMP0042 NEW)
 endif()
 
 # If compiler support symbol visibility, enable it.
