=== debian/changelog ===
console-bridge (0.4.2+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Jose Luis Rivero ]
  * New upstream version 0.4.2+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Jan 2019 17:09:29 +0000
