=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: override_dh_auto_clean \
        get-orig-source

override_dh_auto_clean:
	rm -f console_bridge-config.cmake
	rm -f console_bridge.pc
	dh_auto_clean --

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

%:
	dh  $@ --buildsystem=cmake
