## console-bridge 0.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (CONSOLE_BRIDGE_MAJOR_VERSION 0)
 set (CONSOLE_BRIDGE_MINOR_VERSION 4)
-set (CONSOLE_BRIDGE_PATCH_VERSION 2)
+set (CONSOLE_BRIDGE_PATCH_VERSION 3)
 
 set (CONSOLE_BRIDGE_VERSION ${CONSOLE_BRIDGE_MAJOR_VERSION}.${CONSOLE_BRIDGE_MINOR_VERSION}.${CONSOLE_BRIDGE_PATCH_VERSION})
 message (STATUS "${PROJECT_NAME} version ${CONSOLE_BRIDGE_VERSION}")
@@ -97,6 +97,7 @@
 
 install(EXPORT ${PROJECT_NAME}-targets
   FILE ${PROJECT_NAME}-targets.cmake
+  NAMESPACE ${PROJECT_NAME}::
   DESTINATION ${CMAKE_CONFIG_INSTALL_DIR})
 install(FILES
         "${CMAKE_BINARY_DIR}/${cmake_conf_file}"
