=== debian/changelog ===
console-bridge (0.4.3+dfsg-1) unstable; urgency=medium

  * Update standards 4.2.1
  * New upstream version 0.4.3+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Jan 2019 17:12:00 +0000
