=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-exec (>=0.3),
                cmake,
                libgtest-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
 Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
 Homepage: https://github.com/ros/console_bridge
