## console-bridge 0.4.4%2Bdfsg

=== debian/changelog ===
console-bridge (0.4.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:52 +0100

console-bridge (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.4.4+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 15:59:30 +0000
