=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,5 @@
 	rm -f console_bridge.pc
 	dh_auto_clean --
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
-
 %:
 	dh  $@ --buildsystem=cmake
