=== debian/changelog ===
console-bridge (1.0.1+dfsg2-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Timo Röhling ]
  * Bump Standards-Version to 4.7.2
  * Bump cmake_minimum_required to 3.20 (Closes: #1112807)

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 11:00:29 +0200

console-bridge (1.0.1+dfsg2-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Oct 2021 15:02:16 +0000

console-bridge (1.0.1+dfsg2-2) experimental; urgency=medium

  * Add debian/gitlab-ci.yml
  * New upstream version 1.0.1+dfsg
  * Prepare 1.0.1 in experimental
  * Update library name
  * Update watch version
  * Update debhelper and standards
  * Use libconsole-bridge1.0 as package name to match SONAME
  * Remove compat file since we are using debhelper-compat
  * Include .github directory in ignores
  * Update standards to 4.5.1
  * New release version in changelog
  * Update changelog
  * Drop Thomas from Uploaders
  * Add Rules-Requires-Root
  * Drop pkg-config dependency from -dev file
  * Add entries to debian/docs file
  * Mve clean from d/rules to d/clean
  * Clean up rules file: remove PHONY and buildsystem=cmake
  * Include copyright for console_TEST file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 May 2021 13:59:05 +0000
