=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: console-bridge
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jose Luis Rivero <jrivero@osrfoundation.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-exec (>=0.3),
                cmake,
                libgtest-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/console-bridge
 Vcs-Git: https://salsa.debian.org/science-team/console-bridge.git
 Homepage: https://github.com/ros/console_bridge
 
-Package: libconsole-bridge0.4
+Package: libconsole-bridge1.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,8 +28,8 @@
 Package: libconsole-bridge-dev
 Architecture: any
 Section: libdevel
-Depends: libconsole-bridge0.4 (= ${binary:Version}),
-	 pkg-config, ${misc:Depends}
+Depends: libconsole-bridge1.0 (= ${binary:Version}),
+	 ${misc:Depends}
 Multi-Arch: same
 Description: console bridge - development files
  ROS-independent, pure CMake (i.e. non-catkin and non-rosbuild
