=== debian/watch ===
version=4
opts=repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/\+dfsg// \
  https://github.com/ros/console_bridge/tags .*/v?(\d[\d\.]+)\.tar\.gz
